(defmacro xor-macro (x y)
  (list 'if x (list 'not y) y))

(defmacro define (name args body)
  `(defun ,name ,args ,body))

(define sum (a b)
  (+ a b))

(defun fact (n)
  (if (zp n)
      1
    (* n (fact (1- n)))))

(xor-macro t nil)

(sum 1 3)

(* 30 (- 4 5))

(fact 4)
